# make -f Makefile.radius

include config.$(config)
include Makefile_$(FIX_OBJ)_fix_obj

#LIBS = -lc -lsocket -lnsl
LIBS = -lc 

CC = gcc
CFLAGS = $(RADIUS_LIBS) -Dunix -Dunix_password -DRADIUSAUTH

AUTH_OBJ = 	auth.o
#LDAP_OBJ = 	ld_sha.o
ADTS_OBJ = 	../adts/md5.o

# rules to build  
all: clean radius
	echo "Done!"

radius: $(AUTH_OBJ) $(ADTS_OBJ)
	$(CC) -o radiusauth $(CFLAGS) $(AUTH_OBJ) $(ADTS_OBJ) $(LIBS) 

clean:
	rm -f *.o *~ 
